Set upload metadata entry
Upserts a metadata entry on an upload. Key must resolve to a known registration (common:* or the caller's integration slug).
Authorization
OAuth2 upl:uploads:manageAuthorizationBearer <token>
OAuth 2.0 authorization
In: header
Scope: upl:uploads:manage
Header Parameters
Connect-Protocol-Version?number
Define the version of the Connect protocol
Connect-Timeout-Ms?number
Define the timeout, in ms
Request Body
application/json
bucketRef?&
uploadRef?&
entry?
[key: string]?never
Response Body
application/json
application/json
curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.BucketUploadsService/SetUploadMetadata" \ -H "Connect-Protocol-Version: 1" \ -H "Connect-Timeout-Ms: 1000" \ -H "Content-Type: application/json" \ -d '{}'{
"entry": {
"key": "string",
"valueType": "METADATA_VALUE_TYPE_UNSPECIFIED",
"value": {
"arrayValue": [
{}
]
},
"title": "string",
"iconName": "string",
"hiddenFromUsers": true
}
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}